=== debian/changelog ===
xournalpp (1.0.15-0.1~mx19+1) mx; urgency=medium

  * New upstream release; build for MX 19.
  * Disable dbgsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 18 Oct 2019 15:29:43 -0700

xournalpp (1.0.5-0) unstable; urgency=low

  * Multiple fixes and improvements

 -- Andreas Butti <andreasbutti@gmail.com>  Sun, 09 Dec 2018 13:32:00 +0100

xournalpp (1.0.4-0) unstable; urgency=low

  * Layer Sidebar
  * Fill option
  * Multiple fixes and improvements

 -- Andreas Butti <andreasbutti@gmail.com>  Sun, 09 Dec 2018 13:32:00 +0100

xournalpp (1.0.3-0) unstable; urgency=low

  * Fixed debian dependencies

 -- Andreas Butti <andreasbutti@gmail.com>  Sun, 09 Dec 2018 13:32:00 +0100

xournalpp (1.0.2-0) unstable; urgency=low

  * Initial release Debian Packaging

 -- Andreas Butti <andreasbutti@gmail.com>  Mon, 03 Dec 2018 20:00:00 +0100
