=== debian/changelog ===
xournalpp (1.0.18-0.1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 01 Sep 2020 22:27:51 -0400
