=== debian/control ===
Source: xournalpp
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Andreas Butti <andreasbutti@gmail.com>
Section: misc
Priority: optional
Standards-Version: 3.9.2
Build-Depends: cmake,
               debhelper (>= 9),
               git,
               libgtk-3-dev,
               liblua5.3-dev,
               libpoppler-glib-dev,
               libsndfile-dev,
               libxml2-dev,
               libzip-dev,
               portaudio19-dev
Homepage: https://github.com/xournalpp/xournalpp/

Package: xournalpp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: handwriting notetaking software with PDF annotation support.
 Xournal++ supports Pen input like Wacom Tablets.
