=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- translations all

override_dh_strip:
	dh_strip --no-automatic-dbgsym
