## xournalpp 1.0.20

=== debian/changelog ===
xournalpp (1.0.20-0.1~mx19+2) mx; urgency=medium

  * Refactor packaging from upstream Debian Salsa release for MX-19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Fri, 15 Jan 2021 14:18:19 -0500
