=== debian/control ===
Source: xournalpp
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
Section: x11
Priority: optional
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), cmake,
	help2man,
	libgtk-3-dev, libpoppler-glib-dev, libxml2-dev,
	portaudio19-dev, libsndfile-dev, liblua5.3-dev, libzip-dev
Rules-Requires-Root: no
Homepage: https://github.com/xournalpp/xournalpp/
Vcs-Git: https://salsa.debian.org/debian/xournalpp.git
Vcs-Browser: https://salsa.debian.org/debian/xournalpp

Package: xournalpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: texlive-base, texlive-latex-extra
Description: Handwritten note-taking program supporting pen & PDF annotation
 Xournal++ is a hand note taking software written in C++ with the target of
 flexibility, functionality and speed. Stroke recognizer and other parts are
 based on Xournal Code, which you can find at sourceforge.
 It supports Linux (e.g. Ubuntu, Debian, Arch, SUSE), macOS and Windows 10.
 Supports pen input from devices such as Wacom Tablets.
 .
 Xournal++ features:
 .
  - Support for Pen pressure, e.g. Wacom Tablet
  - Support for annotating PDFs
  - Fill shape functionality
  - PDF Export (with and without paper style)
  - PNG Export (with and without transparent background)
  - Allows maping different tools/colors etc. to stylus/mouse buttons
  - Sidebar with Page Previews with page sorting, PDF Bookmarks and Layers
  - Enhanced support for image insertion
  - Eraser with multiple configurations
  - LaTeX support (requires a working LaTeX install)
  - Bug reporting, autosave, and auto backup tools
  - Customizeable toolbar, with multiple configurations
  - Page Template definitions
  - Shape drawing (line, arrow, circle, rect)
  - Shape resizing and rotation
  - Rotation snapping every 45 degrees
  - Rect snapping to grid
  - Audio recording and playback alongside with handwritten notes
  - Multi Language Support, English, German, Italian, ...
  - Plugins using Lua Scripting
