=== debian/changelog ===
xournalpp (1.1.0-2) unstable; urgency=medium

  * bump policy

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 02 Nov 2021 13:23:46 +0000

xournalpp (1.1.0-1) unstable; urgency=medium

  * Initial official debian release (closes: #927076)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 19 Jul 2021 15:41:45 +0100
