=== debian/watch ===
version=4
https://github.com/xournalpp/@PACKAGE@/tags (?:.*?/)@ANY_VERSION@@ARCHIVE_EXT@
