=== debian/changelog ===
xournalpp (1.1.0+git20210809-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream GitHub main for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Thu, 12 Aug 2021 13:03:20 -0400
