=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: xournalpp
-Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Section: x11
 Priority: optional
-Standards-Version: 4.6.0
+Standards-Version: 4.5.1
 Build-Depends: debhelper-compat (= 13), cmake,
 	help2man,
-	libgtk-3-dev, libpoppler-glib-dev, libxml2-dev,
+	libgtk-3-dev, libpoppler-glib-dev, libxml2-dev, libzip-dev,
 	portaudio19-dev, libsndfile1-dev | libsndfile-dev, liblua5.3-dev, libzip-dev, librsvg2-dev
 Rules-Requires-Root: no
 Homepage: https://github.com/xournalpp/xournalpp/
@@ -15,8 +16,7 @@
 Package: xournalpp
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: texlive-base, texlive-latex-extra
-Recommends: lua-lgi
+Suggests: texlive-base, texlive-latex-extra, lua-lgi
 Description: Note-taking program supporting pen & PDF annotation
  Xournal++ is a handwritten note taking program with the target of
  flexibility, functionality and speed. The stroke recognizer and other
